Page MenuHomePhabricator

Rewrite $wgEnabledTranscodeSet and $wgEnabledAudioTranscodeSet settings as a map from transcode to boolean for enabled status
Closed, ResolvedPublic

Description

The $wgEnabledTranscodeSet and $wgEnabledAudioTranscodeSet settings need a rewrite to support extension.json which doesn't support using for example Example::Example.

Steps to reproduce

  • In the WebVideoTranscode folder and in WebVideoTranscode.php file

Actual Results

  • Currently it is set like
$wgEnabledTranscodeSet = [
"Example::ENC_OGV_480P",
];

Expected Results

We should do something like

$wgEnabledTranscodeSet = [
"Example::ENC_OGV_480P" => true,
];

Or something like

$wgEnabledTranscodeSet = [
"OGV_480P"=> true,
];

and $wgEnabledAudioTranscodeSet the same format.

Per comments made at https://gerrit.wikimedia.org/r/#/c/210176/

I am not sure how it should look for the main php code where the settings are created.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : REL1_31[BREAKING CHANGE] Use maps for wgEnabledTranscodeSet
mediawiki/extensions/TimedMediaHandler : REL1_31Migrate in all the MwEmbedSupport extension's code so we can kill it off
mediawiki/extensions/TimedMediaHandler : master[BREAKING CHANGE] Use maps for wgEnabledTranscodeSet
mediawiki/extensions/TimedMediaHandler : masterMigrate in all the MwEmbedSupport extension's code so we can kill it off

Event Timeline

Paladox created this task.Nov 7 2015, 3:41 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a subscriber: Paladox.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 7 2015, 3:41 PM
Paladox added subscribers: brion, Legoktm.EditedNov 7 2015, 3:41 PM

Adding @Legoktm per he said anything to do with extension registration I could add him.

@brion and @TheDJ can I add you to the task please.

Paladox set Security to None.Nov 7 2015, 3:41 PM
Paladox added a project: TimedMediaHandler.
Paladox removed a subscriber: brion.
Paladox removed subscribers: TheDJ, brion.
Paladox updated the task description. (Show Details)Dec 1 2015, 3:21 PM

@Reedy could I have help to do this task please?

Change 350758 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@master] WIP: Migrate in all the MwEmbedSupport extension

https://gerrit.wikimedia.org/r/350758

Change 350758 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/350758

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

We might not need to do this; for https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TimedMediaHandler/+/442220 we just went to specific strings directly, rather than a true/false map.

Jdforrester-WMF renamed this task from Rewrite $wgEnabledTranscodeSet and $wgEnabledAudioTranscodeSet settings in preparation for extension.json to Rewrite $wgEnabledTranscodeSet and $wgEnabledAudioTranscodeSet settings as a map from transcode to boolean for enabled status.Jul 10 2018, 7:27 PM

Going ahead with this, as it simplifies overrides of the default config (based on my testing of our planned config for VP9 transition).

Change 448163 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] [BREAKING CHANGE] Use maps for wgEnabledTranscodeSet

https://gerrit.wikimedia.org/r/448163

Change 448163 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] [BREAKING CHANGE] Use maps for wgEnabledTranscodeSet

https://gerrit.wikimedia.org/r/448163

Jdforrester-WMF closed this task as Resolved.Jul 27 2018, 12:07 AM
Jdforrester-WMF assigned this task to brion.
Jdforrester-WMF removed a project: Patch-For-Review.
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-07-31T00:05:31Z] <thcipriani@deploy1001> Started scap: SWAT: [[gerrit:449260|Convert to extension.json]] T87981 [[gerrit:449372|Use maps for wgEnabledTranscodeSet]] T118080 [[gerrit:449373|Adjust VP9 encoding for speed, quality]] [[gerrit:449374|More conservative max bitrate for VP9 video transcodes]]

Mentioned in SAL (#wikimedia-operations) [2018-07-31T00:39:16Z] <thcipriani@deploy1001> Finished scap: SWAT: [[gerrit:449260|Convert to extension.json]] T87981 [[gerrit:449372|Use maps for wgEnabledTranscodeSet]] T118080 [[gerrit:449373|Adjust VP9 encoding for speed, quality]] [[gerrit:449374|More conservative max bitrate for VP9 video transcodes]] (duration: 33m 44s)

Change 451036 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TimedMediaHandler@REL1_31] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/451036

Change 451042 had a related patch set uploaded (by Jforrester; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@REL1_31] [BREAKING CHANGE] Use maps for wgEnabledTranscodeSet

https://gerrit.wikimedia.org/r/451042

Change 451036 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@REL1_31] Migrate in all the MwEmbedSupport extension's code so we can kill it off

https://gerrit.wikimedia.org/r/451036

Change 451042 merged by Umherirrender:
[mediawiki/extensions/TimedMediaHandler@REL1_31] [BREAKING CHANGE] Use maps for wgEnabledTranscodeSet

https://gerrit.wikimedia.org/r/451042